## GstRTSPOnvifMedia

GstRTSPOnvifMedia — The ONVIF media pipeline

## Functions

gboolean | gst_rtsp_onvif_media_collect_backchannel ()
guint | gst_rtsp_onvif_media_get_backchannel_bandwidth ()
void | gst_rtsp_onvif_media_set_backchannel_bandwidth ()

## Types and Values

typedef | GstRTSPOnvifMedia
typedef | GstRTSPOnvifMediaClass

## Description

a GstRTSPOnvifMedia contains the complete GStreamer pipeline to manage the streaming to the clients. The actual data transfer is done by the GstRTSPStream objects that are created and exposed by the GstRTSPMedia.

On top of GstRTSPMedia this subclass adds special ONVIF features. Special ONVIF features that are currently supported is a backchannel for the client to send back media to the server in a normal PLAY media. To handle the ONVIF backchannel, a GstRTSPOnvifMediaFactory and GstRTSPOnvifServer has to be used.

## Functions

### gst_rtsp_onvif_media_collect_backchannel ()

    gboolean
    gst_rtsp_onvif_media_collect_backchannel
                                   (GstRTSPOnvifMedia *media);

Find the ONVIF backchannel depayloader element. It should be named 'depay_backchannel', be placed in a bin called 'onvif-backchannel' and return all supported RTP caps on a caps query. Complete RTP caps with at least the payload type, clock-rate and encoding-name are required.

A new GstRTSPStream is created for the backchannel if found.

#### Parameters

media | a GstRTSPOnvifMedia |

#### Returns

`TRUE` if a backchannel stream could be found and created

Since: 1.14

### gst_rtsp_onvif_media_get_backchannel_bandwidth ()

    guint
    gst_rtsp_onvif_media_get_backchannel_bandwidth
                                   (GstRTSPOnvifMedia *media);

Get the configured/supported bandwidth of the ONVIF backchannel pipeline in bits per second.

#### Parameters

media | a GstRTSPMedia |

#### Returns

the configured/supported backchannel bandwidth.

Since: 1.14

### gst_rtsp_onvif_media_set_backchannel_bandwidth ()

    void
    gst_rtsp_onvif_media_set_backchannel_bandwidth
                                   (GstRTSPOnvifMedia *media,
                                    guint bandwidth);

Set the configured/supported bandwidth of the ONVIF backchannel pipeline in bits per second.

#### Parameters

media | a GstRTSPMedia |
bandwidth | the bandwidth in bits per second |

Since: 1.14

## Types and Values

### GstRTSPOnvifMedia

    typedef struct GstRTSPOnvifMedia GstRTSPOnvifMedia;

Since: 1.14

### GstRTSPOnvifMediaClass

    typedef struct GstRTSPOnvifMediaClass GstRTSPOnvifMediaClass;

## See Also

GstRTSPMedia, GstRTSPOnvifMediaFactory, GstRTSPStream, GstRTSPSession, GstRTSPSessionMedia